package com.genlot.ninglottery.game.bet;

/**
 * @author ZhuYongKang
 * @description 投注控制类
 * @date 2019/8/26
 */
public class BetManager {

    private static BetManager instance;

    /**
     * 投注倍数
     */
    private int mTimes = 1;

    /**
     * 投注期数
     */
    private int mIssues = 1;

    /**
     * 游戏玩法
     */
    private int mPlayType;

    /**
     * 游戏ID
     */
    private int mGameId;

    /**
     * 总计金额
     */
    public int mTotalSum;

    private BetManager() {
    }

    public static BetManager getInstance() {
        if (instance == null) {
            instance = new BetManager();
        }
        return instance;
    }

    public int getTimes() {
        return mTimes;
    }

    public void setTimes(int mTimes) {
        this.mTimes = mTimes;
    }

    public int getIssues() {
        return mIssues;
    }

    public void setIssues(int issues) {
        this.mIssues = issues;
    }

    public int getPlayType() {
        return mPlayType;
    }

    public void setPlayType(int playType) {
        this.mPlayType = playType;
    }

    public int getGameId() {
        return mGameId;
    }

    public void setGameId(int gameId){
        this.mGameId = gameId;
    }

}
